package com.ruoyi.demo.entity.vo;

import com.ruoyi.demo.entity.Plan;
import com.ruoyi.demo.entity.PlanItem;
import com.ruoyi.demo.entity.SystemSetter;
import lombok.Data;

@Data
public class PlanPushVo {
    private String equipmentId;
    private String equipmentName;
    private String qrCode;
    private String goodsId;
    private String goodsName;
    private String goodsLogo;
    private String goodsIntroduce;
    private Float goodsPrice;
    private String goodsClassify;
    private Integer intervalCarousel;
    private Integer intervalRequest;
    private Integer intervalSubmit;

    public PlanPushVo(){}
    public PlanPushVo(PlanItem item, Plan plan, SystemSetter setter){
        this.equipmentId = item.getEquipmentId();
        this.equipmentName = item.getEquipmentName();
        this.qrCode = item.getQrCode();
        this.goodsId = plan.getGoodsId();
        this.goodsName = plan.getGoodsName();
        this.goodsLogo = plan.getGoodsLogo();
        this.goodsPrice = plan.getGoodsPrice();
        this.goodsIntroduce = plan.getGoodsIntroduce();
        this.goodsClassify = plan.getGoodsClassify();
        this.intervalCarousel = setter.getIntervalCarousel();
        this.intervalRequest = setter.getIntervalRequest();
        this.intervalSubmit = setter.getIntervalSubmit();
    }
}
